{**********************************************************}
{* Common logic gates based electronics circuits: Latches *}
{**********************************************************}

program LogicGates5;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces,
  Forms, logic5, sr, rs, sr2, sre, rse, d1, d1b, d2, common;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Initialize;
  Application.CreateForm(TfLogic5, fLogic5);
  Application.CreateForm(TfSR, fSR);
  Application.CreateForm(TfRS, fRS);
  Application.CreateForm(TfSR2, fSR2);
  Application.CreateForm(TfSRE, fSRE);
  Application.CreateForm(TfRSE, fRSE);
  Application.CreateForm(TfD1, fD1);
  Application.CreateForm(TfD1b, fD1b);
  Application.CreateForm(TfD2, fD2);
  Application.Run;
end.

